#!/usr/bin/env python3

############################################################################
#Script Name    : S003003_memory_coherence.py
#Description    : Sript for testing memory coherence
#Author         : Joying Kuo
#Email          : joying.kuo@mediatek.com
###########################################################################

import os, sys
import unittest
import subprocess

def runcmd(command):
    ret = subprocess.run(command,shell=True,stdout=subprocess.PIPE,stderr=subprocess.PIPE,encoding="utf-8")
    return ret

def get_soc_name():
    ret = subprocess.run(["cat /proc/device-tree/compatible"],shell=True,stdout=subprocess.PIPE,stderr=subprocess.PIPE,encoding="utf-8")
    soc = ret.stdout.split(',')[1].split('-')[0]
    return soc
    
class TestMemoryCocherence(unittest.TestCase):

    def test_stressapptest_60s_with_suspend_resume(self):
        soc = get_soc_name()
        if soc == 'mt8390':
            ret = runcmd(["echo '' > /sys/kernel/config/usb_gadget/g1/UDC && sh /home/root/genio-linux-test/basic/system/memory_coherance/test-ram-coherence.sh && echo 112b1000.usb > /sys/kernel/config/usb_gadget/g1/UDC"])
            print(ret.stderr)
            self.assertEqual(ret.returncode, 0)
        elif soc == 'mt8395' or soc == 'mt8195':
            ret = runcmd(["modprobe -r tcpci_mt6360 && sh /home/root/genio-linux-test/basic/system/memory_coherance/test-ram-coherence.sh && modprobe tcpci_mt6360"])
            self.assertEqual(ret.returncode, 0)
        elif soc == 'mt8365':
            ret = runcmd(["echo '' > /sys/kernel/config/usb_gadget/g1/UDC && sh /home/root/genio-linux-test/basic/system/memory_coherance/test-ram-coherence.sh && echo 11201000.usb > /sys/kernel/config/usb_gadget/g1/UDC"])
            self.assertEqual(ret.returncode, 0)
        self.assertEqual(ret.returncode, 0)
        ret_grep_info = runcmd(["cat /home/root/stressapp.log  | grep \"PASS\" | cut -f 2- -d ' ' | tail -1"])
        self.assertEqual(ret_grep_info.stdout.split('\n')[0], "Status: PASS - please verify no corrected errors")

if __name__ == '__main__':
    
    unittest.main()