#!/usr/bin/env python3

########################################################################################
#Script Name    : B012001_DVFS_gpu_check_governors.py
#Description    : Sript for checkinf if there is etra node found in available_governors
#Author         : Joying Kuo
#Email          : joying.kuo@mediatek.com
########################################################################################

import os, sys
import unittest
import subprocess

GOVERNORS = ['userspace', 'powersave', 'performance', 'simple_ondemand']


def get_soc_name():
    ret = subprocess.run(["cat /proc/device-tree/compatible"],shell=True,stdout=subprocess.PIPE,stderr=subprocess.PIPE,encoding="utf-8")
    soc = ret.stdout.split(',')[1].split('-')[0]
    return soc
soc = get_soc_name()

if soc == 'mt8365':
    BASE = '/sys/devices/platform/soc/13040000.mali/devfreq/13040000.mali'
else:
    BASE = '/sys/devices/platform/soc/13000000.mali/devfreq/13000000.mali'

def read_attr(attr):
    path = os.path.join(BASE, attr)
    try:
        f = open(path)
        tmp = f.read().strip()
        f.close()
    except IOError:
        return ''

    return tmp


class TestGpuGovernors(unittest.TestCase):

    def test_sysfs_attrs_read(self):
        for node in read_attr('available_governors').split():
            self.assertIn(node ,GOVERNORS)

if __name__ == '__main__':
    unittest.main()
