#!/usr/bin/env python3

############################################################################
#Script Name    : B022001_eth_ping_test.py
#Description    : Sript for checking if the Ethernet ping test works fine
#Author         : Joying Kuo
#Email          : joying.kuo@mediatek.com
###########################################################################

import os, sys
import unittest
import subprocess

def runcmd(command):
    ret = subprocess.run(command,shell=True,stdout=subprocess.PIPE,stderr=subprocess.PIPE,encoding="utf-8")
    return ret

def get_soc_name():
    ret = subprocess.run(["cat /proc/device-tree/compatible"],shell=True,stdout=subprocess.PIPE,stderr=subprocess.PIPE,encoding="utf-8")
    soc = ret.stdout.split(',')[1].split('-')[0]
    return soc

soc = get_soc_name()

@unittest.skipIf(soc == 'mt8365', "For mt3865, Ethernet interface is not checked in sanity scope, because HDMI is enabled by defualt.")
class TestETHPING(unittest.TestCase):

    def test_eth_ping_google(self):
        ret = runcmd(["ping -w 10 www.google.com > output.txt && cat output.txt"])
        self.assertEqual(ret.returncode, 0)
        self.assertEqual(ret.stdout.split('\n')[-3].split(',')[2], ' 0% packet loss')

if __name__ == '__main__':
    unittest.main()
    
    
