#!/usr/bin/env python3

############################################################################
#Script Name    : runTest.py
#Description    : Sript for run the test with specific scope
#Author         : Joying Kuo
#Email          : joying.kuo@mediatek.com
###########################################################################

import unittest
import argparse

import os, sys
import unittest
import subprocess
import time

if os.geteuid() != 0:
    os.execvp('sudo', ['sudo', 'python3'] + sys.argv)

if __name__ == "__main__":

    parser = argparse.ArgumentParser()
    parser.add_argument(
        '-s',
        '--scope',
        default='sanity',
        help='scope to be tested, \
              option: { sanity, basic, functionality }')
    parser.add_argument(
        '-d',
        '--directory',
        help='specify the directory to test')
            
    args = parser.parse_args()
    
    if args.directory:
        test_suite = unittest.TestLoader().discover(args.directory, pattern="*.py")
        unittest.TextTestRunner(verbosity=2).run(test_suite)
    else:
        if args.scope == 'sanity':    
            sanity_suite = unittest.TestLoader().discover('.', pattern="S*")
            unittest.TextTestRunner(verbosity=2).run(sanity_suite)
        elif args.scope == 'basic':
            basic_suite = unittest.TestLoader().discover('.', pattern="B*")
            unittest.TextTestRunner(verbosity=2).run(basic_suite)
    
