#!/usr/bin/env python3

############################################################################
#Script Name    : S000002_verify_prtition.py
#Description    : Sript for checking partition layout
#Author         : Joying Kuo
#Email          : joying.kuo@mediatek.com
###########################################################################

import os, sys
import unittest
import subprocess

PARTITION = ['/sys', '/proc', '/dev', '/dev/pts', '/run', '/', '/sys/kernel/security', '/dev/shm', '/run/lock', '/sys/fs/cgroup', '/sys/fs/pstore', '/dev/mqueue', '/dev/hugepages', '/sys/kernel/debug', '/sys/kernel/tracing', '/sys/fs/fuse/connections', '/sys/kernel/config', '/run/credentials/systemd-sysusers.service', '/run/user/1000', '/run/user/0']
def runcmd(command):
    ret = subprocess.run(command,shell=True,stdout=subprocess.PIPE,stderr=subprocess.PIPE,encoding="utf-8",timeout=1)
    if ret.returncode == 0:
        return ret
    
class TestVerifyPartition(unittest.TestCase):

    def test_partition_exist(self):
        ret = runcmd(["findmnt -l"])
        for line in ret.stdout.split('\n')[1:-1]:
            self.assertIn(line.split()[0] , PARTITION)

if __name__ == '__main__':
    
    unittest.main()
