#!/usr/bin/env python3

############################################################################
#Script Name    : S000003_dtb_name.py
#Description    : Sript for checking correct DTB is flashed
#Author         : Joying Kuo
#Email          : joying.kuo@mediatek.com
###########################################################################

import os, sys
import unittest
import subprocess

def runcmd(command):
    ret = subprocess.run(command, shell=True,stdout=subprocess.PIPE,stderr=subprocess.PIPE,encoding="utf-8")
    return ret
    
def get_soc_name():
    ret = subprocess.run(["cat /proc/device-tree/compatible"],shell=True,stdout=subprocess.PIPE,stderr=subprocess.PIPE,encoding="utf-8")
    soc = ret.stdout.split(',')[1].split('-')[0]
    return soc
soc = get_soc_name()

def get_board_name():
    ret = subprocess.run(["fw_printenv | grep board_name"],shell=True,stdout=subprocess.PIPE,stderr=subprocess.PIPE,encoding="utf-8")
    board_name = ret.stdout.split('=')[1].split('\n')[0]
    return board_name

dtbname = get_board_name() + '.dtb'

class TestDTBName(unittest.TestCase):

    def test_check_dtb_name(self):
        ret = runcmd(["fw_printenv | grep fdtfile"])
        self.assertEqual(ret.returncode, 0)

        self.assertEqual(ret.stdout.split('\n')[0].split('=')[1], dtbname)

if __name__ == '__main__':
    unittest.main()
    
    
