#!/usr/bin/env python3

############################################################################
#Script Name    : S001002_kernel_64bits.py
#Description    : Sript for checking kernel = 64 bits
#Author         : Joying Kuo
#Email          : joying.kuo@mediatek.com
###########################################################################

import os, sys
import unittest
import subprocess

def runcmd(command):
    ret = subprocess.run(command,shell=True,stdout=subprocess.PIPE,stderr=subprocess.PIPE,encoding="utf-8")
    return ret

class TestKernel64Bits(unittest.TestCase):

    def test_kernel_64_bits_check(self):
        ret = runcmd(["getconf LONG_BIT"])
        self.assertEqual(ret.returncode, 0)
        self.assertEqual(ret.stdout.split('\n')[0], '64')

if __name__ == '__main__':
    unittest.main()
    
    
