#!/usr/bin/env python3

############################################################################
#Script Name    : S001003_kernel_sanity_check.py
#Description    : Sript for checking kernel log with the level>=crit
#Author         : Joying Kuo
#Email          : joying.kuo@mediatek.com
###########################################################################

import os, sys
import unittest
import subprocess

def runcmd(command):
    ret = subprocess.run(command,shell=True,stdout=subprocess.PIPE,stderr=subprocess.PIPE,encoding="utf-8")
    return ret

class TestKernelSanity(unittest.TestCase):

    def test_level_emerg(self):
        ret = runcmd(["dmesg -l emerg"])
        self.assertEqual(ret.returncode, 0)
        self.maxDiff=None
        self.assertEqual(ret.stdout, '', ret.stderr)

    def test_level_alert(self):
        ret = runcmd(["dmesg -l alert"])
        self.assertEqual(ret.returncode, 0)
        self.maxDiff=None
        self.assertEqual(ret.stdout, '', ret.stderr)
    
    def test_level_crit(self):
        ret = runcmd(["dmesg -l crit"])
        self.assertEqual(ret.returncode, 0)
        self.maxDiff=None
        self.assertEqual(ret.stdout, '', ret.stderr)
    
if __name__ == '__main__':
    unittest.main()
    
    
