#!/usr/bin/env python3

############################################################################
#Script Name    : S003001_rtc.py
#Description    : Sript for testing Realtime Clock 
#Author         : Joying Kuo
#Email          : joying.kuo@mediatek.com
###########################################################################

import os, sys, pathlib
import unittest
import subprocess

def runcmd(command):
    ret = subprocess.run(command,shell=True,stdout=subprocess.PIPE,stderr=subprocess.PIPE,encoding="utf-8")
    return ret
    
class TestRTC(unittest.TestCase):
    
    def test_rtc_read(self):
        ret = runcmd(["hwclock -r"])
        self.assertEqual(ret.returncode, 0)
        
    def test_rtc_write(self):    
        d_ret = runcmd(["timedatectl set-ntp false && date '121417212022' && hwclock -w && hwclock -r && timedatectl set-ntp true"])
        self.assertEqual(d_ret.returncode, 0)
        self.assertEqual(d_ret.stdout.split('\n')[1].rsplit(":", 2)[0], '2022-12-14 17:21')
        
if __name__ == '__main__':
    
    unittest.main()
