#!/usr/bin/env python3

############################################################################
#Script Name    : S003003_memory_coherence.py
#Description    : Sript for testing memory coherence
#Author         : Joying Kuo
#Email          : joying.kuo@mediatek.com
###########################################################################

import os, sys
import unittest
import subprocess

def runcmd(command):
    ret = subprocess.run(command,shell=True,stdout=subprocess.PIPE,stderr=subprocess.PIPE,encoding="utf-8",timeout=30)
    return ret
    
@unittest.skipIf(1 == 1, "test can't run with unittest")

class TestMemoryCocherence(unittest.TestCase):

    def test_stressapptest_20s(self):
        ret = runcmd(["sudo stressapptest -s 20 -m 8 -W -f /root/stressapp.bin --cc_test -l /root/stressapp.log"])
        self.maxDiff=None
        self.assertEqual(ret.returncode, 0, ret.stderr)
        
        ret_msg = runcmd(["sudo cat /root/stressapp.log  | grep 'PASS' | cut -f 2- -d ' ' | tail -1"])
        self.maxDiff=None
        self.assertEqual(ret_msg.stdout.split('\n')[0], "Status: PASS - please verify no corrected errors", ret_msg.stderr)

if __name__ == '__main__':
    
    unittest.main()
