#!/usr/bin/env python3

############################################################################
#Script Name    : S005001_wifi_interface.py
#Description    : Sript for checking if WiFi interface is existed
#Author         : Joying Kuo
#Email          : joying.kuo@mediatek.com
###########################################################################

import os, sys
import unittest
import subprocess

def runcmd(command):
    ret = subprocess.run(command,shell=True,stdout=subprocess.PIPE,stderr=subprocess.PIPE,encoding="utf-8")
    return ret

def get_soc_name():
    ret = subprocess.run(["cat /proc/device-tree/compatible"],shell=True,stdout=subprocess.PIPE,stderr=subprocess.PIPE,encoding="utf-8")
    soc = ret.stdout.split(',')[1].split('-')[0]
    return soc
def get_dtb_name():
    uname = runcmd(["uname -a"]).stdout.split()[1]
    return uname

uname = get_dtb_name()

@unittest.skipIf(uname == 'genio-1200-evk-ufs', "MT7921 is not installed in G1200-evk-UFS board")
class TestWiFiInterface(unittest.TestCase):

    def test_wifi_interface_existence(self):
        soc = get_soc_name()
        if soc == 'mt8365':
            ret = runcmd(["ifconfig | grep wlan0"])
            self.assertEqual(ret.returncode, 0)
            self.assertEqual(ret.stdout.split(':')[0], 'wlan0')
        if soc == 'mt8390':
            ret = runcmd(["ifconfig | grep wlan0"])
            self.assertEqual(ret.returncode, 0)
            self.assertEqual(ret.stdout.split(':')[0], 'wlan0')
        else:
            ret = runcmd(["ifconfig | grep wlp1s0"])
            self.assertEqual(ret.returncode, 0)
            self.assertEqual(ret.stdout.split(':')[0], 'wlp1s0')

if __name__ == '__main__':
    unittest.main()
    
    
