#!/usr/bin/env python3

############################################################################
#Script Name    : S006002_gst_v4l2codec_support.py
#Description    : Sript for testing Gstreamer Video Codec support
#Author         : Joying Kuo
#Email          : joying.kuo@mediatek.com
###########################################################################

import os, sys, pathlib
import unittest
import subprocess

def runcmd(command):
    ret = subprocess.run(command,shell=True,stdout=subprocess.PIPE,stderr=subprocess.PIPE,encoding="utf-8",timeout=1)
    return ret
    
class TestGstV4l2CodecSupport(unittest.TestCase):
            
    def test_v4l2h264dec_existed(self):
        ret = runcmd(["gst-inspect-1.0 | grep v4l2h264dec"])
        self.assertEqual(ret.returncode, 0)
        self.assertEqual(ret.stdout.split('\n')[-2].split(':')[1].split()[0], 'v4l2h264dec')
        
    def test_v4l2h265dec_existed(self):
        ret = runcmd(["gst-inspect-1.0 | grep v4l2h265dec"])
        self.assertEqual(ret.returncode, 0)
        self.assertEqual(ret.stdout.split('\n')[-2].split(':')[1].split()[0], 'v4l2h265dec')
        
    def test_v4l2mpeg4dec_existed(self):
        ret = runcmd(["gst-inspect-1.0 | grep v4l2mpeg4dec"])
        self.assertEqual(ret.returncode, 0)
        self.assertEqual(ret.stdout.split('\n')[-2].split(':')[1].split()[0], 'v4l2mpeg4dec')
        
    def test_v4l2vp9dec_existed(self):
        ret = runcmd(["gst-inspect-1.0 | grep v4l2vp9dec"])
        self.assertEqual(ret.returncode, 0)
        self.assertEqual(ret.stdout.split('\n')[-2].split(':')[1].split()[0], 'v4l2vp9dec')
        
    def test_v4l2vp8dec_existed(self):
        ret = runcmd(["gst-inspect-1.0 | grep v4l2vp8dec"])
        self.assertEqual(ret.returncode, 0)
        self.assertEqual(ret.stdout.split('\n')[-2].split(':')[1].split()[0], 'v4l2vp8dec')
        
    def test_v4l2h264enc_existed(self):
        ret = runcmd(["gst-inspect-1.0 | grep v4l2h264enc"])
        self.assertEqual(ret.returncode, 0)
        self.assertEqual(ret.stdout.split('\n')[-2].split(':')[1].split()[0], 'v4l2h264enc')
        
    def test_v4l2h265enc_existed(self):
        ret = runcmd(["gst-inspect-1.0 | grep v4l2h265enc"])
        self.assertEqual(ret.returncode, 0)
        self.assertEqual(ret.stdout.split('\n')[-2].split(':')[1].split()[0], 'v4l2h265enc')
    
if __name__ == '__main__':
    
    unittest.main()
