#!/usr/bin/env python3

############################################################################
#Script Name    : S010001_display_interface_DSI.py
#Description    : Sript for checking DSI is connected
#Author         : Joying Kuo
#Email          : joying.kuo@mediatek.com
###########################################################################

import os, sys
import unittest
import subprocess

def runcmd(command):
    ret = subprocess.run(command,shell=True,stdout=subprocess.PIPE,stderr=subprocess.PIPE,encoding="utf-8")
    return ret
    
def get_soc_name():
    ret = subprocess.run(["cat /proc/device-tree/compatible"],shell=True,stdout=subprocess.PIPE,stderr=subprocess.PIPE,encoding="utf-8")
    soc = ret.stdout.split(',')[1].split('-')[0]
    return soc

def is_dsi_dtbo_loaded():
    ret = subprocess.run(["fw_printenv | grep dtbos | grep dsi"],shell=True,stdout=subprocess.PIPE,stderr=subprocess.PIPE,encoding="utf-8")
    return ret.returncode 

is_dsi = is_dsi_dtbo_loaded()
soc = get_soc_name()

@unittest.skipIf(is_dsi == 1, "DSI interface is not enabled")      
@unittest.skipIf(soc == 'mt8195', "DSI is disabled for mt8195 by default")      
class TestDSI(unittest.TestCase):

    def test_check_DSI_interface(self):
        ret = runcmd(["ls /sys/class/drm/"])
        self.assertEqual(ret.returncode, 0)
        self.assertIn('DSI', ret.stdout.split('-'))

if __name__ == '__main__':
    unittest.main()