#!/usr/bin/env python3

############################################################################
#Script Name    : S012002_cli_info.py
#Description    : Sript for checking basic information for OpenCL 
#Author         : Joying Kuo
#Email          : joying.kuo@mediatek.com
###########################################################################

import os, sys, pathlib
import unittest
import subprocess

def runcmd(command):
    ret = subprocess.run(command,shell=True,stdout=subprocess.PIPE,stderr=subprocess.PIPE,encoding="utf-8")
    return ret
    
class TestCliInfo(unittest.TestCase):
    
    def test_platform_vendor_check(self):
        ret = runcmd(["clinfo | grep Platform\ Vendor"])
        self.assertEqual(ret.returncode, 0)
        self.assertEqual(ret.stdout.split()[2], 'ARM')
        
    def test_platform_profile_check(self):
        ret = runcmd(["clinfo | grep Platform\ Profile"])
        self.assertEqual(ret.returncode, 0)
        self.assertEqual(ret.stdout.split()[2], 'FULL_PROFILE')
    
    def test_platform_name_check(self):
        ret = runcmd(["clinfo | grep -m 1 Platform\ Name"])
        self.assertEqual(ret.returncode, 0)
        self.assertEqual(ret.stdout.split()[2], 'ARM')
        
if __name__ == '__main__':
    
    unittest.main()