#!/usr/bin/env python3

############################################################################
#Script Name    : S012003_vulkan_info.py
#Description    : Sript for checking basic information for Vulkan 
#Author         : Joying Kuo
#Email          : joying.kuo@mediatek.com
###########################################################################

import os, sys, pathlib
import unittest
import subprocess

def get_soc_name():
    ret = subprocess.run(["cat /proc/device-tree/compatible"],shell=True,stdout=subprocess.PIPE,stderr=subprocess.PIPE,encoding="utf-8")
    soc = ret.stdout.split(',')[1].split('-')[0]
    return soc
soc = get_soc_name()

def runcmd(command):
    ret = subprocess.run(command,shell=True,stdout=subprocess.PIPE,stderr=subprocess.PIPE,encoding="utf-8")
    return ret
    
class TestVulkanInfo(unittest.TestCase):
    
    def test_device_type_check(self):
        ret = runcmd(["vulkaninfo | grep deviceType"])
        self.assertEqual(ret.returncode, 0)
        self.assertEqual(ret.stdout.split()[2], 'PHYSICAL_DEVICE_TYPE_INTEGRATED_GPU')
        
    def test_device_name_check(self):
        ret = runcmd(["vulkaninfo | grep deviceName"])
        self.assertEqual(ret.returncode, 0)
        if soc == 'mt8365':
            self.assertEqual(ret.stdout.split()[2], 'Mali-G52')
        else:
            self.assertEqual(ret.stdout.split()[2], 'Mali-G57')
        
        
if __name__ == '__main__':
    
    unittest.main()
    