#!/usr/bin/env python3

############################################################################
#Script Name    : S022001_eth_interface_eth0.py
#Description    : Sript for checking if Ethernet interface is existed
#Author         : Joying Kuo
#Email          : joying.kuo@mediatek.com
###########################################################################

import os, sys
import unittest
import subprocess

def runcmd(command):
    ret = subprocess.run(command,shell=True,stdout=subprocess.PIPE,stderr=subprocess.PIPE,encoding="utf-8")
    return ret

def get_soc_name():
    ret = subprocess.run(["cat /proc/device-tree/compatible"],shell=True,stdout=subprocess.PIPE,stderr=subprocess.PIPE,encoding="utf-8")
    soc = ret.stdout.split(',')[1].split('-')[0]
    return soc

soc = get_soc_name()

@unittest.skipIf(soc == 'mt8365', "For mt3865, Ethernet interface is not checked in sanity scope, because HDMI is enabled by defualt.")
class TestETHInterface(unittest.TestCase):

    def test_eth0_existence(self):
        ret = runcmd(["ifconfig | grep eth0"])
        self.assertEqual(ret.returncode, 0)
        self.assertEqual(ret.stdout.split(':')[0], 'eth0')

if __name__ == '__main__':
    unittest.main()
    
    
