#!/usr/bin/env python3

############################################################################
#Script Name    : S023001_eFuse_writer.py
#Description    : Sript for testing eFuse_writer 
#Author         : Joying Kuo
#Email          : joying.kuo@mediatek.com
###########################################################################

import os, sys, pathlib
import unittest
import subprocess

def runcmd(command):
    ret = subprocess.run(command,shell=True,stdout=subprocess.PIPE,stderr=subprocess.PIPE,encoding="utf-8",timeout=1)
    return ret
    
def get_soc_name():
    ret = subprocess.run(["cat /proc/device-tree/compatible"],shell=True,stdout=subprocess.PIPE,stderr=subprocess.PIPE,encoding="utf-8")
    soc = ret.stdout.split(',')[1].split('-')[0]
    return soc
    
class TestEfuseWriter(unittest.TestCase):

    def test_hardware_random_id(self):
        ret = runcmd(["ewriter 0 12 4"])
        self.assertEqual(ret.returncode, 0)
        status_code = ret.stdout.split('\n')[-2].split(',')[0].split()[-1]
        self.assertEqual(int(status_code), 0)
            
    def test_brom_usb_download_mode(self):
        soc = get_soc_name()
        if soc == 'mt8365':
            ret = runcmd(["ewriter 0 76 1"])
        else:
            ret = runcmd(["ewriter 0 70 1"])
        self.assertEqual(ret.returncode, 0)
        status_code = ret.stdout.split('\n')[-2].split(',')[0].split()[-1]
        self.assertEqual(int(status_code), 0)

if __name__ == '__main__':
    
    unittest.main()
