#!/usr/bin/env python3

############################################################################
#Script Name    : S024001_gst_v4l2jpegcodec_support.py
#Description    : Sript for testing Gstreamer JPEG codec support
#Author         : Joying Kuo
#Email          : joying.kuo@mediatek.com
###########################################################################

import os, sys, pathlib
import unittest
import subprocess


def get_soc_name():
    ret = subprocess.run(["cat /proc/device-tree/compatible"],shell=True,stdout=subprocess.PIPE,stderr=subprocess.PIPE,encoding="utf-8")
    soc = ret.stdout.split(',')[1].split('-')[0]
    return soc
soc = get_soc_name()

def runcmd(command):
    ret = subprocess.run(command,shell=True,stdout=subprocess.PIPE,stderr=subprocess.PIPE,encoding="utf-8",timeout=1)
    return ret

@unittest.skipIf(soc == 'mt8365', "not supported for mt8365")      
class TestGstV4l2JPEGCodecSupport(unittest.TestCase):
            
    def test_v4l2jpegdec_existed(self):
        ret = runcmd(["gst-inspect-1.0 | grep v4l2jpegdec"])
        self.assertEqual(ret.returncode, 0)
        self.assertEqual(ret.stdout.split('\n')[-2].split(':')[1].split()[0], 'v4l2jpegdec')
        
    def test_v4l2jpegenc_existed(self):
        ret = runcmd(["gst-inspect-1.0 | grep v4l2jpegenc"])
        self.assertEqual(ret.returncode, 0)
        self.assertEqual(ret.stdout.split('\n')[-2].split(':')[1].split()[0], 'v4l2jpegenc')
        
    
if __name__ == '__main__':
    
    unittest.main()
